summaryrefslogtreecommitdiffstats
path: root/python
diff options
context:
space:
mode:
author Benjamin Trigona-Harany <bosth@alumni.sfu.ca>2018-03-17 19:52:43 -0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-24 06:50:34 +0700
commitc82c6c07bb74961f26bf12925069cd4a792c65e0 (patch)
tree50db23be02ff1927c55d26b0b57437613be8b0ae /python
parent9c10628a49f791a81ece2e68eb0389ac67f3b833 (diff)
downloadslackbuilds-c82c6c07bb74961f26bf12925069cd4a792c65e0.tar.gz
slackbuilds-c82c6c07bb74961f26bf12925069cd4a792c65e0.tar.xz
python/click-plugins: Updated for version 1.0.3.
Diffstat (limited to 'python')
-rw-r--r--python/click-plugins/click-plugins.SlackBuild23
-rw-r--r--python/click-plugins/click-plugins.info6
2 files changed, 17 insertions, 12 deletions
diff --git a/python/click-plugins/click-plugins.SlackBuild b/python/click-plugins/click-plugins.SlackBuild
index cf61374149..935e5b9710 100644
--- a/python/click-plugins/click-plugins.SlackBuild
+++ b/python/click-plugins/click-plugins.SlackBuild
@@ -23,13 +23,13 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=click-plugins
-VERSION=${VERSION:-1.0.2}
+VERSION=${VERSION:-1.0.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) ARCH=i486 ;;
+ i?86) ARCH=i586 ;;
arm*) ARCH=arm ;;
*) ARCH=$( uname -m ) ;;
esac
@@ -40,8 +40,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
@@ -60,22 +60,27 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
-o -perm 511 \) -exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
- -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
python setup.py install --root=$PKG
+if $(python3 -c 'import sys' 2>/dev/null); then
+ python3 setup.py install --root=$PKG
+fi
-find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
- grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS.txt CHANGES.md LICENSE.txt README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS.txt CHANGES.md LICENSE.txt README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/python/click-plugins/click-plugins.info b/python/click-plugins/click-plugins.info
index 3640c985ed..c3ca52db72 100644
--- a/python/click-plugins/click-plugins.info
+++ b/python/click-plugins/click-plugins.info
@@ -1,8 +1,8 @@
PRGNAM="click-plugins"
-VERSION="1.0.2"
+VERSION="1.0.3"
HOMEPAGE="https://github.com/click-contrib/click-plugins"
-DOWNLOAD="https://github.com/click-contrib/click-plugins/archive/1.0.2.tar.gz"
-MD5SUM="3c678a47390ca9514503ac2e85bd0c8d"
+DOWNLOAD="https://files.pythonhosted.org/packages/source/c/click-plugins/click-plugins-1.0.3.tar.gz"
+MD5SUM="ddc85a5c51399713f801ae6b63fcac5b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="click"